Package com.treemap

# Interface TreeMapFieldSettings<Color,Font>

All Known Implementing Classes:
  `AbstractTreeMapFieldSettings`, `DefaultTreeMapFieldSettings`, `OverridingTreeMapFieldSettings`

@JsType public interface TreeMapFieldSettings<Color,Font>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `TreeMapFieldSettings.PropertyType`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PROPERTY_AGGREGATION`
  `static final String`
  `PROPERTY_ALGORITHM`
  `static final String`
  `PROPERTY_BORDER_COLOR`
  `static final String`
  `PROPERTY_BORDER_THICKNESS`
  `static final String`
  `PROPERTY_COLORMAP`
  `static final String`
  `PROPERTY_FORMAT`
  `static final String`
  `PROPERTY_HEADER_BACKGROUND`
  `static final String`
  `PROPERTY_HEADER_EFFECT`
  `static final String`
  `PROPERTY_HEADER_EFFECT_COLOR`
  `static final String`
  `PROPERTY_HEADER_EFFECTOPACITY`
  `static final String`
  `PROPERTY_HEADER_FONT`
  `static final String`
  `PROPERTY_HEADER_FOREGROUND`
  `static final String`
  `PROPERTY_HEADER_HORIZONTALALIGNMENT`
  `static final String`
  `PROPERTY_HEADER_INSETS`
  `static final String`
  `PROPERTY_HEADER_MINIMUMCHARACTERSTODISPLAY`
  `static final String`
  `PROPERTY_HEADER_RENDERING`
  `static final String`
  `PROPERTY_HEADER_VERTICALALIGNMENT`
  `static final String`
  `PROPERTY_LABELING`
  `static final String`
  `PROPERTY_LABELING_CONTRASTENHANCEMENT`
  `static final String`
  `PROPERTY_LABELING_EFFECT`
  `static final String`
  `PROPERTY_LABELING_EFFECT_COLOR`
  `static final String`
  `PROPERTY_LABELING_EFFECTOPACITY`
  `static final String`
  `PROPERTY_LABELING_FLOAT`
  `static final String`
  `PROPERTY_LABELING_FONT`
  `static final String`
  `PROPERTY_LABELING_FOREGROUND`
  `static final String`
  `PROPERTY_LABELING_HORIZONTALALIGNMENT`
  `static final String`
  `PROPERTY_LABELING_MINIMUMCHARACTERSTODISPLAY`
  `static final String`
  `PROPERTY_LABELING_RENDERING`
  `static final String`
  `PROPERTY_LABELING_RESIZETEXTTOFITSHAPE`
  `static final String`
  `PROPERTY_LABELING_SHRINKTEXTTOFITSHAPE`
  `static final String`
  `PROPERTY_LABELING_VERTICALALIGNMENT`
  `static final String`
  `PROPERTY_NESTING`
  `static final String`
  `PROPERTY_NESTING_AMOUNT`
  `static final String`
  `PROPERTY_NESTING_BACKGROUND`
  `static final String`
  `PROPERTY_ORDERING`
  `static final String`
  `PROPERTY_ORDERING_DIRECTION`
  `static final String`
  `PROPERTY_ORDERING_HORIZONTALVANISHINGPOINT`
  `static final String`
  `PROPERTY_ORDERING_VERTICALVANISHINGPOINT`
  `static final String`
  `PROPERTY_OVERRIDE_DEFAULTS`
  `static final String`
  `PROPERTY_SCALE`
  `static final String`
  `PROPERTY_TOOLTIP_FONT`
  `static final String`
  `PROPERTY_TOOLTIP_FOREGROUND`
  `static final String`
  `PROPERTY_TOOLTIP_RENDERING`
  `static final String`
  `PROPERTY_TOOLTIP_SHOWLABEL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Aggregation`
  `getAggregation()`
  Returns the aggregation scheme to use to aggregate values of the treemap.
  `MutableProperty<Aggregation>`
  `getAggregationProperty()`
  Returns the aggregation scheme to use to aggregate values of the treemap.
  `Algorithm`
  `getAlgorithm()`
  Returns the algorithm to use to lay out the treemap.
  `MutableProperty<Algorithm>`
  `getAlgorithmProperty()`
  Returns the algorithm to use to lay out the treemap.
  `com.macrofocus.igraphics.CPColor<Color>`
  `getBorderColor()`
  Returns the color to use for drawing the borders.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getBorderColorProperty()`
  Returns the color to use for drawing the borders.
  `double`
  `getBorderThickness()`
  Returns the thickness used for drawing the borders.
  `MutableBoundedInterval`
  `getBorderThicknessInterval()`
  Returns the thickness used for drawing the borders.
  `com.macrofocus.colormap.MutableColorMap`
  `getColorMap()`
  Gets the color map for the specified column.
  `MutableProperty<com.macrofocus.colormap.MutableColorMap>`
  `getColorMapProperty()`
  Gets the color map for the specified column.
  `com.macrofocus.format.CPFormat`
  `getFormat()`
  Gets the format used to display values of the specified column.
  `MutableProperty<com.macrofocus.format.CPFormat>`
  `getFormatProperty()`
  Gets the format used to display values of the specified column.
  `com.macrofocus.igraphics.CPColor<Color>`
  `getHeaderBackground()`
  Returns the background color to use for drawing the headers.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getHeaderBackgroundProperty()`
  Returns the background color to use for drawing the headers.
  `com.macrofocus.labeling.EnhancedLabel.Effect`
  `getHeaderEffect()`
  `com.macrofocus.igraphics.CPColor<Color>`
  `getHeaderEffectColor()`
  Returns the effect color to use for drawing the headers.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getHeaderEffectColorProperty()`
  Returns the effect color to use for drawing the headers.
  `Float`
  `getHeaderEffectOpacity()`
  `MutableProperty<Float>`
  `getHeaderEffectOpacityProperty()`
  `MutableProperty<com.macrofocus.labeling.EnhancedLabel.Effect>`
  `getHeaderEffectProperty()`
  `com.macrofocus.igraphics.CPFont<Font>`
  `getHeaderFont()`
  Returns the font used for labeling the headings.
  `MutableProperty<com.macrofocus.igraphics.CPFont<Font>>`
  `getHeaderFontProperty()`
  Returns the font used for labeling the headings.
  `com.macrofocus.igraphics.CPColor<Color>`
  `getHeaderForeground()`
  Returns the foreground color to use for drawing the headers.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getHeaderForegroundProperty()`
  Returns the foreground color to use for drawing the headers.
  `Integer`
  `getHeaderHorizontalAlignment()`
  `MutableProperty<Integer>`
  `getHeaderHorizontalAlignmentProperty()`
  `com.macrofocus.igraphics.Insets`
  `getHeaderInsets()`
  `MutableProperty<com.macrofocus.igraphics.Insets>`
  `getHeaderInsetsProperty()`
  `Integer`
  `getHeaderMinimumCharactersToDisplay()`
  `MutableProperty<Integer>`
  `getHeaderMinimumCharactersToDisplayProperty()`
  `com.macrofocus.labeling.EnhancedLabel.Rendering`
  `getHeaderRendering()`
  `MutableProperty<com.macrofocus.labeling.EnhancedLabel.Rendering>`
  `getHeaderRenderingProperty()`
  `Integer`
  `getHeaderVerticalAlignment()`
  `MutableProperty<Integer>`
  `getHeaderVerticalAlignmentProperty()`
  `Labeling`
  `getLabeling()`
  Returns the labeling scheme to use to draw the treemap.
  `com.macrofocus.labeling.EnhancedLabel.ContrastEnhancement`
  `getLabelingContrastEnhancement()`
  `MutableProperty<com.macrofocus.labeling.EnhancedLabel.ContrastEnhancement>`
  `getLabelingContrastEnhancementProperty()`
  `com.macrofocus.labeling.EnhancedLabel.Effect`
  `getLabelingEffect()`
  `com.macrofocus.igraphics.CPColor<Color>`
  `getLabelingEffectColor()`
  Returns the effect color to use for drawing the labels.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getLabelingEffectColorProperty()`
  Returns the effect color to use for drawing the labels.
  `Float`
  `getLabelingEffectOpacity()`
  `MutableProperty<Float>`
  `getLabelingEffectOpacityProperty()`
  `MutableProperty<com.macrofocus.labeling.EnhancedLabel.Effect>`
  `getLabelingEffectProperty()`
  `Boolean`
  `getLabelingFloat()`
  `MutableProperty<Boolean>`
  `getLabelingFloatProperty()`
  `com.macrofocus.igraphics.CPFont<Font>`
  `getLabelingFont()`
  Returns the font used for labeling.
  `MutableProperty<com.macrofocus.igraphics.CPFont<Font>>`
  `getLabelingFontProperty()`
  Returns the font used for labeling.
  `com.macrofocus.igraphics.CPColor<Color>`
  `getLabelingForeground()`
  Returns the foreground color to use for drawing the labels.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getLabelingForegroundProperty()`
  Returns the foreground color to use for drawing the labels.
  `int`
  `getLabelingHorizontalAlignment()`
  `MutableProperty<Integer>`
  `getLabelingHorizontalAlignmentProperty()`
  `Integer`
  `getLabelingMinimumCharactersToDisplay()`
  `MutableProperty<Integer>`
  `getLabelingMinimumCharactersToDisplayProperty()`
  `MutableProperty<Labeling>`
  `getLabelingProperty()`
  Returns the labeling scheme to use to draw the treemap.
  `com.macrofocus.labeling.EnhancedLabel.Rendering`
  `getLabelingRendering()`
  `MutableProperty<com.macrofocus.labeling.EnhancedLabel.Rendering>`
  `getLabelingRenderingProperty()`
  `Boolean`
  `getLabelingResizeTextToFitShape()`
  `MutableProperty<Boolean>`
  `getLabelingResizeTextToFitShapeProperty()`
  `Boolean`
  `getLabelingShrinkTextToFitShape()`
  `MutableProperty<Boolean>`
  `getLabelingShrinkTextToFitShapeProperty()`
  `int`
  `getLabelingVerticalAlignment()`
  `MutableProperty<Integer>`
  `getLabelingVerticalAlignmentProperty()`
  `Nesting`
  `getNesting()`
  Returns the nesting to use to lay out the treemap.
  `Double`
  `getNestingAmount()`
  Returns the size of the nested areas.
  `MutableProperty<Double>`
  `getNestingAmountProperty()`
  Returns the size of the nested areas.
  `com.macrofocus.igraphics.CPColor<Color>`
  `getNestingBackground()`
  Returns the background color to use for drawing the nested areas.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getNestingBackgroundProperty()`
  Returns the background color to use for drawing the nested areas.
  `MutableProperty<Nesting>`
  `getNestingProperty()`
  Returns the nesting to use to lay out the treemap.
  `Ordering`
  `getOrdering()`
  Returns the ordering to use to lay out the treemap.
  `Ordering.SortOrder`
  `getOrderingDirection()`
  Returns the ordering direction to use to lay out the treemap.
  `MutableProperty<Ordering.SortOrder>`
  `getOrderingDirectionProperty()`
  Returns the ordering direction to use to lay out the treemap.
  `Integer`
  `getOrderingHorizontalVanishingPoint()`
  `MutableProperty<Integer>`
  `getOrderingHorizontalVanishingPointProperty()`
  `MutableProperty<Ordering>`
  `getOrderingProperty()`
  Returns the ordering to use to lay out the treemap.
  `Integer`
  `getOrderingVerticalVanishingPoint()`
  `MutableProperty<Integer>`
  `getOrderingVerticalVanishingPointProperty()`
  `MutableProperty<Boolean>`
  `getOverrideDefaultsProperty()`
  `MutableProperties<TreeMapFieldSettings.PropertyType>`
  `getProperties()`
  `Object`
  `getProperty(TreeMapFieldSettings.PropertyType key)`
  Gets the value of the specified property.
  `Object`
  `getPropertyOverride(TreeMapFieldSettings.PropertyType key)`
  Gets the value of the specified property.
  `Scale`
  `getScale()`
  Returns the scaling scheme to use to project values the treemap.
  `MutableProperty<Scale>`
  `getScaleProperty()`
  Returns the scaling scheme to use to project values the treemap.
  `boolean`
  `getShowLabel()`
  Tells whether the label of the specified field should be shown in the popup.
  `MutableProperty<Boolean>`
  `getShowLabelProperty()`
  Tells whether the label of the specified field should be shown in the popup.
  `com.macrofocus.igraphics.CPFont<Font>`
  `getTooltipFont()`
  Returns the font used for labeling the tooltips.
  `MutableProperty<com.macrofocus.igraphics.CPFont<Font>>`
  `getTooltipFontProperty()`
  Returns the font used for labeling the tooltips.
  `com.macrofocus.igraphics.CPColor<Color>`
  `getTooltipForeground()`
  Returns the foreground color to use for drawing the tooltips.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getTooltipForegroundProperty()`
  Returns the foreground color to use for drawing the tooltips.
  `com.macrofocus.labeling.EnhancedLabel.Rendering`
  `getTooltipRendering()`
  `MutableProperty<com.macrofocus.labeling.EnhancedLabel.Rendering>`
  `getTooltipRenderingProperty()`
  `boolean`
  `isDefaults()`
  Gets whether the default settings can be overridden by these settings
  `boolean`
  `isOverrideDefaults()`
  Gets whether the default settings are overridden by these settings
  `void`
  `reset()`
  `void`
  `setAggregation(Aggregation aggregation)`
  Defines the aggregation scheme to use to aggregate values of the treemap.
  `void`
  `setAlgorithm(Algorithm algorithm)`
  Defines the algorithm to use to lay out the treemap.
  `void`
  `setBorderColor(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the color to use for drawing the borders.
  `void`
  `setBorderThickness(double value)`
  Sets the thickness used for drawing the borders.
  `void`
  `setColorMap(com.macrofocus.colormap.MutableColorMap colorMap)`
  Sets the color map to use for the specified column.
  `void`
  `setFormat(com.macrofocus.format.CPFormat format)`
  Sets the format used to display values of the specified column.
  `void`
  `setHeaderBackground(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the background color to use for drawing the headers.
  `void`
  `setHeaderEffect(com.macrofocus.labeling.EnhancedLabel.Effect effect)`
  `void`
  `setHeaderEffectColor(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the background color to use for drawing the headers.
  `void`
  `setHeaderEffectOpacity(Float opacity)`
  `void`
  `setHeaderFont(com.macrofocus.igraphics.CPFont<Font> font)`
  Sets the font used for labeling the headings.
  `void`
  `setHeaderForeground(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the foreground color to use for drawing the headers.
  `void`
  `setHeaderHorizontalAlignment(Integer alignment)`
  `void`
  `setHeaderInsets(com.macrofocus.igraphics.Insets insets)`
  `void`
  `setHeaderMinimumCharactersToDisplay(Integer minimumCharactersToDisplay)`
  `void`
  `setHeaderRendering(com.macrofocus.labeling.EnhancedLabel.Rendering rendering)`
  `void`
  `setHeaderVerticalAlignment(Integer alignment)`
  `void`
  `setLabeling(Labeling labeling)`
  Defines the labeling scheme to use to draw the treemap.
  `void`
  `setLabelingContrastEnhancement(com.macrofocus.labeling.EnhancedLabel.ContrastEnhancement contrastEnhancement)`
  `void`
  `setLabelingEffect(com.macrofocus.labeling.EnhancedLabel.Effect effect)`
  `void`
  `setLabelingEffectColor(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the effect color to use for drawing the labels.
  `void`
  `setLabelingEffectOpacity(Float opacity)`
  `void`
  `setLabelingFloat(Boolean labelingFloat)`
  `void`
  `setLabelingFont(com.macrofocus.igraphics.CPFont<Font> font)`
  Sets the font used for labeling.
  `void`
  `setLabelingForeground(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the foreground color to use for drawing the labels.
  `void`
  `setLabelingHorizontalAlignment(int alignment)`
  `void`
  `setLabelingMinimumCharactersToDisplay(int minimumCharactersToDisplay)`
  `void`
  `setLabelingRendering(com.macrofocus.labeling.EnhancedLabel.Rendering rendering)`
  `void`
  `setLabelingResizeTextToFitShape(Boolean labelingResizeTextToFitShape)`
  `void`
  `setLabelingShrinkTextToFitShape(Boolean labelingShrinkTextToFitShape)`
  `void`
  `setLabelingVerticalAlignment(int alignment)`
  `void`
  `setNesting(Nesting nesting)`
  Defines the nesting to use to lay out the treemap.
  `void`
  `setNestingAmount(Double amount)`
  Sets the size of nested areas.
  `void`
  `setNestingBackground(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the background color to use for drawing the nested areas.
  `void`
  `setOrdering(Ordering ordering)`
  Defines the ordering to use to lay out the treemap.
  `void`
  `setOrderingDirection(Ordering.SortOrder ordering)`
  Defines the ordering direction to use to lay out the treemap.
  `void`
  `setOrderingHorizontalVanishingPoint(Integer alignment)`
  `void`
  `setOrderingVerticalVanishingPoint(Integer alignment)`
  `void`
  `setOverrideDefaults(boolean overrideDefaults)`
  Sets whether the default settings should be overridden by these settings
  `void`
  `setProperty(TreeMapFieldSettings.PropertyType property, Object value)`
  Sets the value of the specified property.
  `void`
  `setScale(Scale scale)`
  Defines the scaling scheme to use to project values the treemap.
  `void`
  `setShowLabel(boolean show)`
  Sets whether the label of the specified field should be displayed or no in the popup.
  `void`
  `setTooltipFont(com.macrofocus.igraphics.CPFont<Font> font)`
  Sets the font used for labeling the tooltips.
  `void`
  `setTooltipForeground(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the foreground color to use for drawing the tooltips.
  `void`
  `setTooltipRendering(com.macrofocus.labeling.EnhancedLabel.Rendering rendering)`

- ## Field Details

  - ### PROPERTY_ALGORITHM

    static final String PROPERTY_ALGORITHM
    See Also:
      - Constant Field Values

  - ### PROPERTY_AGGREGATION

    static final String PROPERTY_AGGREGATION
    See Also:
      - Constant Field Values

  - ### PROPERTY_SCALE

    static final String PROPERTY_SCALE
    See Also:
      - Constant Field Values

  - ### PROPERTY_NESTING

    static final String PROPERTY_NESTING
    See Also:
      - Constant Field Values

  - ### PROPERTY_ORDERING

    static final String PROPERTY_ORDERING
    See Also:
      - Constant Field Values

  - ### PROPERTY_ORDERING_DIRECTION

    static final String PROPERTY_ORDERING_DIRECTION
    See Also:
      - Constant Field Values

  - ### PROPERTY_ORDERING_VERTICALVANISHINGPOINT

    static final String PROPERTY_ORDERING_VERTICALVANISHINGPOINT
    See Also:
      - Constant Field Values

  - ### PROPERTY_ORDERING_HORIZONTALVANISHINGPOINT

    static final String PROPERTY_ORDERING_HORIZONTALVANISHINGPOINT
    See Also:
      - Constant Field Values

  - ### PROPERTY_LABELING

    static final String PROPERTY_LABELING
    See Also:
      - Constant Field Values

  - ### PROPERTY_LABELING_FOREGROUND

    static final String PROPERTY_LABELING_FOREGROUND
    See Also:
      - Constant Field Values

  - ### PROPERTY_LABELING_EFFECT_COLOR

    static final String PROPERTY_LABELING_EFFECT_COLOR
    See Also:
      - Constant Field Values

  - ### PROPERTY_LABELING_FONT

    static final String PROPERTY_LABELING_FONT
    See Also:
      - Constant Field Values

  - ### PROPERTY_LABELING_EFFECT

    static final String PROPERTY_LABELING_EFFECT
    See Also:
      - Constant Field Values

  - ### PROPERTY_LABELING_HORIZONTALALIGNMENT

    static final String PROPERTY_LABELING_HORIZONTALALIGNMENT
    See Also:
      - Constant Field Values

  - ### PROPERTY_LABELING_VERTICALALIGNMENT

    static final String PROPERTY_LABELING_VERTICALALIGNMENT
    See Also:
      - Constant Field Values

  - ### PROPERTY_LABELING_RENDERING

    static final String PROPERTY_LABELING_RENDERING
    See Also:
      - Constant Field Values

  - ### PROPERTY_LABELING_MINIMUMCHARACTERSTODISPLAY

    static final String PROPERTY_LABELING_MINIMUMCHARACTERSTODISPLAY
    See Also:
      - Constant Field Values

  - ### PROPERTY_LABELING_EFFECTOPACITY

    static final String PROPERTY_LABELING_EFFECTOPACITY
    See Also:
      - Constant Field Values

  - ### PROPERTY_LABELING_SHRINKTEXTTOFITSHAPE

    static final String PROPERTY_LABELING_SHRINKTEXTTOFITSHAPE
    See Also:
      - Constant Field Values

  - ### PROPERTY_LABELING_RESIZETEXTTOFITSHAPE

    static final String PROPERTY_LABELING_RESIZETEXTTOFITSHAPE
    See Also:
      - Constant Field Values

  - ### PROPERTY_LABELING_FLOAT

    static final String PROPERTY_LABELING_FLOAT
    See Also:
      - Constant Field Values

  - ### PROPERTY_LABELING_CONTRASTENHANCEMENT

    static final String PROPERTY_LABELING_CONTRASTENHANCEMENT
    See Also:
      - Constant Field Values

  - ### PROPERTY_NESTING_AMOUNT

    static final String PROPERTY_NESTING_AMOUNT
    See Also:
      - Constant Field Values

  - ### PROPERTY_NESTING_BACKGROUND

    static final String PROPERTY_NESTING_BACKGROUND
    See Also:
      - Constant Field Values

  - ### PROPERTY_HEADER_FOREGROUND

    static final String PROPERTY_HEADER_FOREGROUND
    See Also:
      - Constant Field Values

  - ### PROPERTY_HEADER_EFFECT_COLOR

    static final String PROPERTY_HEADER_EFFECT_COLOR
    See Also:
      - Constant Field Values

  - ### PROPERTY_HEADER_BACKGROUND

    static final String PROPERTY_HEADER_BACKGROUND
    See Also:
      - Constant Field Values

  - ### PROPERTY_HEADER_FONT

    static final String PROPERTY_HEADER_FONT
    See Also:
      - Constant Field Values

  - ### PROPERTY_HEADER_EFFECT

    static final String PROPERTY_HEADER_EFFECT
    See Also:
      - Constant Field Values

  - ### PROPERTY_HEADER_HORIZONTALALIGNMENT

    static final String PROPERTY_HEADER_HORIZONTALALIGNMENT
    See Also:
      - Constant Field Values

  - ### PROPERTY_HEADER_VERTICALALIGNMENT

    static final String PROPERTY_HEADER_VERTICALALIGNMENT
    See Also:
      - Constant Field Values

  - ### PROPERTY_HEADER_RENDERING

    static final String PROPERTY_HEADER_RENDERING
    See Also:
      - Constant Field Values

  - ### PROPERTY_HEADER_MINIMUMCHARACTERSTODISPLAY

    static final String PROPERTY_HEADER_MINIMUMCHARACTERSTODISPLAY
    See Also:
      - Constant Field Values

  - ### PROPERTY_HEADER_EFFECTOPACITY

    static final String PROPERTY_HEADER_EFFECTOPACITY
    See Also:
      - Constant Field Values

  - ### PROPERTY_HEADER_INSETS

    static final String PROPERTY_HEADER_INSETS
    See Also:
      - Constant Field Values

  - ### PROPERTY_TOOLTIP_FOREGROUND

    static final String PROPERTY_TOOLTIP_FOREGROUND
    See Also:
      - Constant Field Values

  - ### PROPERTY_TOOLTIP_FONT

    static final String PROPERTY_TOOLTIP_FONT
    See Also:
      - Constant Field Values

  - ### PROPERTY_TOOLTIP_RENDERING

    static final String PROPERTY_TOOLTIP_RENDERING
    See Also:
      - Constant Field Values

  - ### PROPERTY_BORDER_COLOR

    static final String PROPERTY_BORDER_COLOR
    See Also:
      - Constant Field Values

  - ### PROPERTY_BORDER_THICKNESS

    static final String PROPERTY_BORDER_THICKNESS
    See Also:
      - Constant Field Values

  - ### PROPERTY_FORMAT

    static final String PROPERTY_FORMAT
    See Also:
      - Constant Field Values

  - ### PROPERTY_TOOLTIP_SHOWLABEL

    static final String PROPERTY_TOOLTIP_SHOWLABEL
    See Also:
      - Constant Field Values

  - ### PROPERTY_COLORMAP

    static final String PROPERTY_COLORMAP
    See Also:
      - Constant Field Values

  - ### PROPERTY_OVERRIDE_DEFAULTS

    static final String PROPERTY_OVERRIDE_DEFAULTS
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getProperties

    MutableProperties<TreeMapFieldSettings.PropertyType> getProperties()

  - ### getAlgorithmProperty

    @JsIgnore MutableProperty<Algorithm> getAlgorithmProperty()
    Returns the algorithm to use to lay out the treemap.
    Returns:
      the algorithm to use
    See Also:
      - `AlgorithmFactory`

  - ### getAlgorithm

    @JsIgnore Algorithm getAlgorithm()
    Returns the algorithm to use to lay out the treemap.
    Returns:
      the algorithm to use
    See Also:
      - `AlgorithmFactory`

  - ### setAlgorithm

    void setAlgorithm(Algorithm algorithm)
    Defines the algorithm to use to lay out the treemap.
    Parameters:
      `algorithm` - the algorithm to use
    See Also:
      - `AlgorithmFactory`

  - ### getAggregationProperty

    @JsIgnore MutableProperty<Aggregation> getAggregationProperty()
    Returns the aggregation scheme to use to aggregate values of the treemap.
    Returns:
      athe aggregation scheme to use
    See Also:
      - `DefaultTreeMapFieldSettings.getAggregation()`
      - `AggregationFactory`

  - ### getAggregation

    @JsIgnore Aggregation getAggregation()
    Returns the aggregation scheme to use to aggregate values of the treemap.
    Returns:
      athe aggregation scheme to use
    See Also:
      - `DefaultTreeMapFieldSettings.getAggregation()`
      - `AggregationFactory`

  - ### setAggregation

    @JsIgnore void setAggregation(Aggregation aggregation)
    Defines the aggregation scheme to use to aggregate values of the treemap.
    Parameters:
      `aggregation` - the aggregation scheme to use
    See Also:
      - `DefaultTreeMapFieldSettings.getAggregation()`
      - `AggregationFactory`

  - ### getScaleProperty

    @JsIgnore MutableProperty<Scale> getScaleProperty()
    Returns the scaling scheme to use to project values the treemap.
    Returns:
      the scale scheme to use
    See Also:
      - `DefaultTreeMapFieldSettings.getScale()`
      - `ScaleFactory`

  - ### getScale

    @JsIgnore Scale getScale()
    Returns the scaling scheme to use to project values the treemap.
    Returns:
      the scale scheme to use
    See Also:
      - `DefaultTreeMapFieldSettings.getScale()`
      - `ScaleFactory`

  - ### setScale

    @JsIgnore void setScale(Scale scale)
    Defines the scaling scheme to use to project values the treemap.
    Parameters:
      `scale` - the scale scheme to use
    See Also:
      - `DefaultTreeMapFieldSettings.getScale()`
      - `ScaleFactory`

  - ### getNestingProperty

    @JsIgnore MutableProperty<Nesting> getNestingProperty()
    Returns the nesting to use to lay out the treemap.
    Returns:
      the nesting scheme to use
    See Also:
      - `DefaultTreeMapFieldSettings.getNesting()`
      - `NestingFactory`

  - ### getNesting

    @JsIgnore Nesting getNesting()
    Returns the nesting to use to lay out the treemap.
    Returns:
      the nesting scheme to use
    See Also:
      - `DefaultTreeMapFieldSettings.getNesting()`
      - `NestingFactory`

  - ### setNesting

    @JsIgnore void setNesting(Nesting nesting)
    Defines the nesting to use to lay out the treemap.
    Parameters:
      `nesting` - the nesting scheme to use
    See Also:
      - `DefaultTreeMapFieldSettings.getNesting()`
      - `NestingFactory`

  - ### getOrderingProperty

    MutableProperty<Ordering> getOrderingProperty()
    Returns the ordering to use to lay out the treemap.
    Returns:
      the ordering to use
    See Also:
      - `DefaultTreeMapFieldSettings.getOrdering()`
      - `OrderingFactory`

  - ### getOrdering

    @JsIgnore Ordering getOrdering()
    Returns the ordering to use to lay out the treemap.
    Returns:
      the ordering to use
    See Also:
      - `DefaultTreeMapFieldSettings.getOrdering()`
      - `OrderingFactory`

  - ### setOrdering

    @JsIgnore void setOrdering(Ordering ordering)
    Defines the ordering to use to lay out the treemap.
    Parameters:
      `ordering` - the ordering to use
    See Also:
      - `DefaultTreeMapFieldSettings.getOrdering()`
      - `OrderingFactory`

  - ### getOrderingDirectionProperty

    @JsIgnore MutableProperty<Ordering.SortOrder> getOrderingDirectionProperty()
    Returns the ordering direction to use to lay out the treemap.
    Returns:
      the ordering to use
    See Also:
      - `DefaultTreeMapFieldSettings.getOrderingDirection()`

  - ### getOrderingDirection

    @JsIgnore Ordering.SortOrder getOrderingDirection()
    Returns the ordering direction to use to lay out the treemap.
    Returns:
      the ordering to use
    See Also:
      - `DefaultTreeMapFieldSettings.getOrderingDirection()`

  - ### setOrderingDirection

    @JsIgnore void setOrderingDirection(Ordering.SortOrder ordering)
    Defines the ordering direction to use to lay out the treemap.
    Parameters:
      `ordering` - the ordering direction to use
    See Also:
      - `()`

  - ### getOrderingVerticalVanishingPointProperty

    @JsIgnore MutableProperty<Integer> getOrderingVerticalVanishingPointProperty()

  - ### getOrderingVerticalVanishingPoint

    @JsIgnore Integer getOrderingVerticalVanishingPoint()

  - ### setOrderingVerticalVanishingPoint

    @JsIgnore void setOrderingVerticalVanishingPoint(Integer alignment)

  - ### getOrderingHorizontalVanishingPointProperty

    @JsIgnore MutableProperty<Integer> getOrderingHorizontalVanishingPointProperty()

  - ### getOrderingHorizontalVanishingPoint

    @JsIgnore Integer getOrderingHorizontalVanishingPoint()

  - ### setOrderingHorizontalVanishingPoint

    @JsIgnore void setOrderingHorizontalVanishingPoint(Integer alignment)

  - ### getLabelingProperty

    @JsIgnore MutableProperty<Labeling> getLabelingProperty()
    Returns the labeling scheme to use to draw the treemap.
    Returns:
      the labeling scheme to use
    See Also:
      - `DefaultTreeMapFieldSettings.getLabeling()`
      - `LabelingFactory`

  - ### getLabeling

    @JsIgnore Labeling getLabeling()
    Returns the labeling scheme to use to draw the treemap.
    Returns:
      the labeling scheme to use
    See Also:
      - `DefaultTreeMapFieldSettings.getLabeling()`
      - `LabelingFactory`

  - ### setLabeling

    void setLabeling(Labeling labeling)
    Defines the labeling scheme to use to draw the treemap.
    Parameters:
      `labeling` - the labeling scheme to use
    See Also:
      - `DefaultTreeMapFieldSettings.getLabeling()`
      - `LabelingFactory`

  - ### getLabelingFontProperty

    MutableProperty<com.macrofocus.igraphics.CPFont<Font>> getLabelingFontProperty()
    Returns the font used for labeling.
    Returns:
      the font to be used
    See Also:
      - `DefaultTreeMapFieldSettings.getLabelingFont()`

  - ### getLabelingFont

    com.macrofocus.igraphics.CPFont<Font> getLabelingFont()
    Returns the font used for labeling.
    Returns:
      the font to be used
    See Also:
      - `DefaultTreeMapFieldSettings.getLabelingFont()`

  - ### setLabelingFont

    void setLabelingFont(com.macrofocus.igraphics.CPFont<Font> font)
    Sets the font used for labeling.
    Parameters:
      `font` - the font to be used
    See Also:
      - `DefaultTreeMapFieldSettings.getLabelingFont()`

  - ### getLabelingForegroundProperty

    MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getLabelingForegroundProperty()
    Returns the foreground color to use for drawing the labels.
    Returns:
      the color to be used
    See Also:
      - `DefaultTreeMapFieldSettings.getLabelingForeground()`

  - ### getLabelingForeground

    com.macrofocus.igraphics.CPColor<Color> getLabelingForeground()
    Returns the foreground color to use for drawing the labels.
    Returns:
      the color to be used
    See Also:
      - `DefaultTreeMapFieldSettings.getLabelingForeground()`

  - ### setLabelingForeground

    void setLabelingForeground(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the foreground color to use for drawing the labels.
    Parameters:
      `color` - the color to be used
    See Also:
      - `DefaultTreeMapFieldSettings.getLabelingForeground()`

  - ### getLabelingEffectColorProperty

    MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getLabelingEffectColorProperty()
    Returns the effect color to use for drawing the labels.
    Returns:
      the color to be used
    See Also:
      - `DefaultTreeMapFieldSettings.getLabelingEffectColor()`

  - ### getLabelingEffectColor

    com.macrofocus.igraphics.CPColor<Color> getLabelingEffectColor()
    Returns the effect color to use for drawing the labels.
    Returns:
      the color to be used
    See Also:
      - `DefaultTreeMapFieldSettings.getLabelingEffectColor()`

  - ### setLabelingEffectColor

    void setLabelingEffectColor(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the effect color to use for drawing the labels.
    Parameters:
      `color` - the color to be used
    See Also:
      - `DefaultTreeMapFieldSettings.getLabelingEffectColor()`

  - ### getLabelingEffectProperty

    @JsIgnore MutableProperty<com.macrofocus.labeling.EnhancedLabel.Effect> getLabelingEffectProperty()

  - ### getLabelingEffect

    @JsIgnore com.macrofocus.labeling.EnhancedLabel.Effect getLabelingEffect()

  - ### setLabelingEffect

    @JsIgnore void setLabelingEffect(com.macrofocus.labeling.EnhancedLabel.Effect effect)

  - ### getLabelingHorizontalAlignmentProperty

    @JsIgnore MutableProperty<Integer> getLabelingHorizontalAlignmentProperty()

  - ### getLabelingHorizontalAlignment

    @JsIgnore int getLabelingHorizontalAlignment()

  - ### setLabelingHorizontalAlignment

    void setLabelingHorizontalAlignment(int alignment)

  - ### getLabelingVerticalAlignmentProperty

    @JsIgnore MutableProperty<Integer> getLabelingVerticalAlignmentProperty()

  - ### getLabelingVerticalAlignment

    @JsIgnore int getLabelingVerticalAlignment()

  - ### setLabelingVerticalAlignment

    void setLabelingVerticalAlignment(int alignment)

  - ### getLabelingRenderingProperty

    @JsIgnore MutableProperty<com.macrofocus.labeling.EnhancedLabel.Rendering> getLabelingRenderingProperty()

  - ### getLabelingRendering

    @JsIgnore com.macrofocus.labeling.EnhancedLabel.Rendering getLabelingRendering()

  - ### setLabelingRendering

    @JsIgnore void setLabelingRendering(com.macrofocus.labeling.EnhancedLabel.Rendering rendering)

  - ### getLabelingMinimumCharactersToDisplayProperty

    @JsIgnore MutableProperty<Integer> getLabelingMinimumCharactersToDisplayProperty()

  - ### getLabelingMinimumCharactersToDisplay

    @JsIgnore Integer getLabelingMinimumCharactersToDisplay()

  - ### setLabelingMinimumCharactersToDisplay

    void setLabelingMinimumCharactersToDisplay(int minimumCharactersToDisplay)

  - ### getLabelingEffectOpacityProperty

    @JsIgnore MutableProperty<Float> getLabelingEffectOpacityProperty()

  - ### getLabelingEffectOpacity

    @JsIgnore Float getLabelingEffectOpacity()

  - ### setLabelingEffectOpacity

    @JsIgnore void setLabelingEffectOpacity(Float opacity)

  - ### getLabelingShrinkTextToFitShapeProperty

    @JsIgnore MutableProperty<Boolean> getLabelingShrinkTextToFitShapeProperty()

  - ### getLabelingShrinkTextToFitShape

    Boolean getLabelingShrinkTextToFitShape()

  - ### setLabelingShrinkTextToFitShape

    void setLabelingShrinkTextToFitShape(Boolean labelingShrinkTextToFitShape)

  - ### getLabelingResizeTextToFitShapeProperty

    @JsIgnore MutableProperty<Boolean> getLabelingResizeTextToFitShapeProperty()

  - ### getLabelingResizeTextToFitShape

    Boolean getLabelingResizeTextToFitShape()

  - ### setLabelingResizeTextToFitShape

    void setLabelingResizeTextToFitShape(Boolean labelingResizeTextToFitShape)

  - ### getLabelingFloatProperty

    @JsIgnore MutableProperty<Boolean> getLabelingFloatProperty()

  - ### getLabelingFloat

    @JsIgnore Boolean getLabelingFloat()

  - ### setLabelingFloat

    @JsIgnore void setLabelingFloat(Boolean labelingFloat)

  - ### getLabelingContrastEnhancementProperty

    @JsIgnore MutableProperty<com.macrofocus.labeling.EnhancedLabel.ContrastEnhancement> getLabelingContrastEnhancementProperty()

  - ### getLabelingContrastEnhancement

    @JsIgnore com.macrofocus.labeling.EnhancedLabel.ContrastEnhancement getLabelingContrastEnhancement()

  - ### setLabelingContrastEnhancement

    @JsIgnore void setLabelingContrastEnhancement(com.macrofocus.labeling.EnhancedLabel.ContrastEnhancement contrastEnhancement)

  - ### getNestingAmountProperty

    @JsIgnore MutableProperty<Double> getNestingAmountProperty()
    Returns the size of the nested areas.
    Returns:
      the amount to be used
    See Also:
      - `getNestingAmount()`

  - ### getNestingAmount

    @JsIgnore Double getNestingAmount()
    Returns the size of the nested areas.
    Returns:
      the amount to be used
    See Also:
      - `getNestingAmount()`

  - ### setNestingAmount

    @JsIgnore void setNestingAmount(Double amount)
    Sets the size of nested areas.
    Parameters:
      `amount` - the amount to be used
    See Also:
      - `getNestingAmount()`

  - ### getNestingBackgroundProperty

    MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getNestingBackgroundProperty()
    Returns the background color to use for drawing the nested areas.
    Returns:
      the color to be used
    See Also:
      - `getNestingBackground()`

  - ### getNestingBackground

    com.macrofocus.igraphics.CPColor<Color> getNestingBackground()
    Returns the background color to use for drawing the nested areas.
    Returns:
      the color to be used
    See Also:
      - `getNestingBackground()`

  - ### setNestingBackground

    void setNestingBackground(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the background color to use for drawing the nested areas.
    Parameters:
      `color` - the color to be used
    See Also:
      - `getNestingBackground()`

  - ### getHeaderFontProperty

    MutableProperty<com.macrofocus.igraphics.CPFont<Font>> getHeaderFontProperty()
    Returns the font used for labeling the headings.
    Returns:
      the font to be used
    See Also:
      - `getHeaderFont()`

  - ### getHeaderFont

    com.macrofocus.igraphics.CPFont<Font> getHeaderFont()
    Returns the font used for labeling the headings.
    Returns:
      the font to be used
    See Also:
      - `getHeaderFont()`

  - ### setHeaderFont

    void setHeaderFont(com.macrofocus.igraphics.CPFont<Font> font)
    Sets the font used for labeling the headings.
    Parameters:
      `font` - the font to be used
    See Also:
      - `getHeaderFont()`

  - ### getHeaderForegroundProperty

    MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getHeaderForegroundProperty()
    Returns the foreground color to use for drawing the headers.
    Returns:
      the color to be used
    See Also:
      - `getHeaderForeground()`

  - ### getHeaderForeground

    com.macrofocus.igraphics.CPColor<Color> getHeaderForeground()
    Returns the foreground color to use for drawing the headers.
    Returns:
      the color to be used
    See Also:
      - `getHeaderForeground()`

  - ### setHeaderForeground

    void setHeaderForeground(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the foreground color to use for drawing the headers.
    Parameters:
      `color` - the color to be used
    See Also:
      - `getHeaderForeground()`

  - ### getHeaderBackgroundProperty

    MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getHeaderBackgroundProperty()
    Returns the background color to use for drawing the headers.
    Returns:
      the color to be used
    See Also:
      - `getHeaderBackground()`

  - ### getHeaderBackground

    com.macrofocus.igraphics.CPColor<Color> getHeaderBackground()
    Returns the background color to use for drawing the headers.
    Returns:
      the color to be used
    See Also:
      - `getHeaderBackground()`

  - ### setHeaderBackground

    void setHeaderBackground(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the background color to use for drawing the headers.
    Parameters:
      `color` - the color to be used
    See Also:
      - `getHeaderBackground()`

  - ### getHeaderEffectColorProperty

    MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getHeaderEffectColorProperty()
    Returns the effect color to use for drawing the headers.
    Returns:
      the color to be used
    See Also:
      - `getHeaderEffectColor()`

  - ### getHeaderEffectColor

    com.macrofocus.igraphics.CPColor<Color> getHeaderEffectColor()
    Returns the effect color to use for drawing the headers.
    Returns:
      the color to be used
    See Also:
      - `getHeaderEffectColor()`

  - ### setHeaderEffectColor

    void setHeaderEffectColor(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the background color to use for drawing the headers.
    Parameters:
      `color` - the color to be used
    See Also:
      - `getHeaderEffectColor()`

  - ### getHeaderEffectProperty

    @JsIgnore MutableProperty<com.macrofocus.labeling.EnhancedLabel.Effect> getHeaderEffectProperty()

  - ### getHeaderEffect

    @JsIgnore com.macrofocus.labeling.EnhancedLabel.Effect getHeaderEffect()

  - ### setHeaderEffect

    @JsIgnore void setHeaderEffect(com.macrofocus.labeling.EnhancedLabel.Effect effect)

  - ### getHeaderHorizontalAlignmentProperty

    @JsIgnore MutableProperty<Integer> getHeaderHorizontalAlignmentProperty()

  - ### getHeaderHorizontalAlignment

    @JsIgnore Integer getHeaderHorizontalAlignment()

  - ### setHeaderHorizontalAlignment

    @JsIgnore void setHeaderHorizontalAlignment(Integer alignment)

  - ### getHeaderVerticalAlignmentProperty

    @JsIgnore MutableProperty<Integer> getHeaderVerticalAlignmentProperty()

  - ### getHeaderVerticalAlignment

    @JsIgnore Integer getHeaderVerticalAlignment()

  - ### setHeaderVerticalAlignment

    @JsIgnore void setHeaderVerticalAlignment(Integer alignment)

  - ### getHeaderRenderingProperty

    @JsIgnore MutableProperty<com.macrofocus.labeling.EnhancedLabel.Rendering> getHeaderRenderingProperty()

  - ### getHeaderRendering

    @JsIgnore com.macrofocus.labeling.EnhancedLabel.Rendering getHeaderRendering()

  - ### setHeaderRendering

    @JsIgnore void setHeaderRendering(com.macrofocus.labeling.EnhancedLabel.Rendering rendering)

  - ### getHeaderMinimumCharactersToDisplayProperty

    @JsIgnore MutableProperty<Integer> getHeaderMinimumCharactersToDisplayProperty()

  - ### getHeaderMinimumCharactersToDisplay

    @JsIgnore Integer getHeaderMinimumCharactersToDisplay()

  - ### setHeaderMinimumCharactersToDisplay

    @JsIgnore void setHeaderMinimumCharactersToDisplay(Integer minimumCharactersToDisplay)

  - ### getHeaderEffectOpacityProperty

    @JsIgnore MutableProperty<Float> getHeaderEffectOpacityProperty()

  - ### getHeaderEffectOpacity

    @JsIgnore Float getHeaderEffectOpacity()

  - ### setHeaderEffectOpacity

    @JsIgnore void setHeaderEffectOpacity(Float opacity)

  - ### getHeaderInsetsProperty

    @JsIgnore MutableProperty<com.macrofocus.igraphics.Insets> getHeaderInsetsProperty()

  - ### getHeaderInsets

    @JsIgnore com.macrofocus.igraphics.Insets getHeaderInsets()

  - ### setHeaderInsets

    @JsIgnore void setHeaderInsets(com.macrofocus.igraphics.Insets insets)

  - ### getTooltipFontProperty

    MutableProperty<com.macrofocus.igraphics.CPFont<Font>> getTooltipFontProperty()
    Returns the font used for labeling the tooltips.
    Returns:
      the font to be used
    See Also:
      - `getTooltipFont()`

  - ### getTooltipFont

    com.macrofocus.igraphics.CPFont<Font> getTooltipFont()
    Returns the font used for labeling the tooltips.
    Returns:
      the font to be used
    See Also:
      - `getTooltipFont()`

  - ### setTooltipFont

    void setTooltipFont(com.macrofocus.igraphics.CPFont<Font> font)
    Sets the font used for labeling the tooltips.
    Parameters:
      `font` - the font to be used
    See Also:
      - `getTooltipFont()`

  - ### getTooltipForegroundProperty

    MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getTooltipForegroundProperty()
    Returns the foreground color to use for drawing the tooltips.
    Returns:
      the color to be used
    See Also:
      - `getTooltipForeground()`

  - ### getTooltipForeground

    com.macrofocus.igraphics.CPColor<Color> getTooltipForeground()
    Returns the foreground color to use for drawing the tooltips.
    Returns:
      the color to be used
    See Also:
      - `getTooltipForeground()`

  - ### setTooltipForeground

    void setTooltipForeground(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the foreground color to use for drawing the tooltips.
    Parameters:
      `color` - the color to be used
    See Also:
      - `getTooltipForeground()`

  - ### getTooltipRenderingProperty

    @JsIgnore MutableProperty<com.macrofocus.labeling.EnhancedLabel.Rendering> getTooltipRenderingProperty()

  - ### getTooltipRendering

    @JsIgnore com.macrofocus.labeling.EnhancedLabel.Rendering getTooltipRendering()

  - ### setTooltipRendering

    @JsIgnore void setTooltipRendering(com.macrofocus.labeling.EnhancedLabel.Rendering rendering)

  - ### getBorderColorProperty

    MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getBorderColorProperty()
    Returns the color to use for drawing the borders.
    Returns:
      the color to be used
    See Also:
      - `getBorderColor()`

  - ### getBorderColor

    com.macrofocus.igraphics.CPColor<Color> getBorderColor()
    Returns the color to use for drawing the borders.
    Returns:
      the color to be used
    See Also:
      - `getBorderColor()`

  - ### setBorderColor

    void setBorderColor(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the color to use for drawing the borders.
    Parameters:
      `color` - the color to be used
    See Also:
      - `getBorderColor()`

  - ### getBorderThicknessInterval

    MutableBoundedInterval getBorderThicknessInterval()
    Returns the thickness used for drawing the borders.
    Returns:
      the height
    See Also:
      - `getBorderThickness()`

  - ### getBorderThickness

    double getBorderThickness()
    Returns the thickness used for drawing the borders.
    Returns:
      the height
    See Also:
      - `getBorderThickness()`

  - ### setBorderThickness

    void setBorderThickness(double value)
    Sets the thickness used for drawing the borders.
    Parameters:
      `value` - the height
    See Also:
      - `getBorderThickness()`

  - ### getFormatProperty

    @JsIgnore MutableProperty<com.macrofocus.format.CPFormat> getFormatProperty()
    Gets the format used to display values of the specified column.
    Returns:
      the format to be used.

  - ### getFormat

    @JsIgnore com.macrofocus.format.CPFormat getFormat()
    Gets the format used to display values of the specified column.
    Returns:
      the format to be used.

  - ### setFormat

    @JsIgnore void setFormat(com.macrofocus.format.CPFormat format)
    Sets the format used to display values of the specified column.
    Parameters:
      `format` - the format to be used.

  - ### getShowLabelProperty

    MutableProperty<Boolean> getShowLabelProperty()
    Tells whether the label of the specified field should be shown in the popup.
    Returns:
      true if it should be displayed, false otherwise.

  - ### getShowLabel

    boolean getShowLabel()
    Tells whether the label of the specified field should be shown in the popup.
    Returns:
      true if it should be displayed, false otherwise.

  - ### setShowLabel

    void setShowLabel(boolean show)
    Sets whether the label of the specified field should be displayed or no in the popup.
    Parameters:
      `show` - true if it should be displayed, false otherwise.

  - ### getColorMapProperty

    MutableProperty<com.macrofocus.colormap.MutableColorMap> getColorMapProperty()
    Gets the color map for the specified column.
    Returns:
      the color map to use.

  - ### getColorMap

    com.macrofocus.colormap.MutableColorMap getColorMap()
    Gets the color map for the specified column.
    Returns:
      the color map to use.

  - ### setColorMap

    void setColorMap(com.macrofocus.colormap.MutableColorMap colorMap)
    Sets the color map to use for the specified column.
    Parameters:
      `colorMap` - the colorMap to use.

  - ### getProperty

    Object getProperty(TreeMapFieldSettings.PropertyType key)
    Gets the value of the specified property.
    Parameters:
      `key` - the property name
    Returns:
      the value

  - ### setProperty

    void setProperty(TreeMapFieldSettings.PropertyType property, Object value)
    Sets the value of the specified property.
    Parameters:
      `property` - the property name
      `value` - the value

  - ### isDefaults

    boolean isDefaults()
    Gets whether the default settings can be overridden by these settings
    Returns:
      true if the settings can be overridden, false otherwise

  - ### isOverrideDefaults

    boolean isOverrideDefaults()
    Gets whether the default settings are overridden by these settings
    Returns:
      true if this override the default settings, false otherwise

  - ### getOverrideDefaultsProperty

    MutableProperty<Boolean> getOverrideDefaultsProperty()

  - ### setOverrideDefaults

    void setOverrideDefaults(boolean overrideDefaults)
    Sets whether the default settings should be overridden by these settings
    Parameters:
      `overrideDefaults` - true to override the default settings, false otherwise

  - ### getPropertyOverride

    Object getPropertyOverride(TreeMapFieldSettings.PropertyType key)
    Gets the value of the specified property. Only returns the overridden value, not the default value if it isn't overridden.
    Parameters:
      `key` - the property name
    Returns:
      the value

  - ### reset

    void reset()